/**
 * External dependencies
 */
import { parse, format } from 'url';
import { parse as parseQueryString, stringify } from 'querystring';

/**
 * Appends arguments to the query string of the url
 *
 * @param  {String} url   URL
 * @param  {Object} args  Query Args
 *
 * @return {String}       Updated URL
 */
export function addQueryArgs(url, args) {
  const parsedURL = parse(url, true);
  const query = { ...parsedURL.query, ...args };
  delete parsedURL.search;

  if (parsedURL.path === 'post.php') {
    return '?save=1';
  }

  return format({ ...parsedURL, query });
}